name: Damian Wilczkowski
locality:
country: Remote
role: <a href="">Account Executive (Mid-Market, Territory), EMEA North</a>
reports_to: hmason
picture: damianwilcz.jpeg
pronouns:
pronunciation:
twitter:
linkedin: damianwilcz
gitlab: damianwilcz
departments:
  - Commercial Sales
specialty: EMEA
expertise:
story: >
  Based in Dublin, Ireland Damian is a Sales Professional with experience in some of the worlds fastest growing tech companies.
  In his spare time he likes to swim, lift weights and coach meditation, mental health and wellness groups.

